Update System directories
Closed, ResolvedPublic

Description

When Blender is already open, if you insert a new drive ( USB stick for example), you can't access it until you close/open again Blender.
Here is a patch for updating system directory list.

Any remarks/suggestions/questions are welcome.

Regards,

Brecht Van Lommel (brecht) added a comment.Via Old WorldMay 3 2012, 2:13 PM

Can we maybe simplify this? Like refreshing this list automatically each time the file browser is opened, and doing the refresh together with the main directory refresh button in the header?

Julien DUROURE (julien) added a comment.Via Old WorldMay 9 2012, 11:37 AM

Ok, I will try to propose a new patch. Thanks for your feedback.

You will find in attachment a new version of the patch, based on Brecht propositions.

Brecht Van Lommel (brecht) added a comment.Via Old WorldMay 18 2012, 3:04 PM

Committed, thanks!

Brecht Van Lommel (brecht) closed this task as "Resolved".Via Old WorldMay 18 2012, 3:04 PM

Add Comment